#!/bin/sh
#
# Start Pegasus if it has not already been started.  Create a
# semaphore file if Pegasus was started that can be checked by the
# stop_pegasus.sh script. 
#

SEMAPHORE="/tmp/smx-started-pegasus"
rm -f $SEMAPHORE

/etc/init.d/tog-pegasus status > /dev/null

if [ $? != 0 ]; then

    # Pegasus is not running so we must start it

    /etc/init.d/tog-pegasus start

    if [ $? != 0 ]; then
	echo "Could not start Pegasus to install providers"
	exit 1
    fi

    # Communicate to stop_pegasus.sh script that we have started Pegasus

    touch $SEMAPHORE
fi
